---
title: Cancel Reconciliation Rule
slug: api/cancel-reconciliation-rule
docTags: 
createdAt: 2026-08-17T01:32:15.764Z
---

{
  "id": "yL_6IZA1OkiXWesUt9-Ob",
  "type": "api-oas-v2",
  "data": {
    "method": "PATCH",
    "url": "https://api.mpay.com.au/receivables/v1/reconciliationrules/{reconciliationRuleReference}",
    "servers": [
      {
        "url": "https://api.mpay.com.au/receivables/v1/reconciliationrules/{reconciliationRuleReference}",
        "description": "Production URL"
      },
      {
        "url": "https://api.m-pay.com.au/receivables/v1/reconciliationrules/{reconciliationRuleReference}",
        "description": "Sandbox URL"
      }
    ],
    "name": "Cancel Reconciliation Rule",
    "description": "This API is used to cancel a single Reconciliation Rule based on its unique ID.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "reconciliationRuleReference",
          "type": "string",
          "example": "RR22348",
          "description": "A unique reference used to identify the reconciliation rule. Unique to your mAccount.",
          "default": "RR22348",
          "pattern": "^[A-Za-z0-9\\-_]{1,50}$"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "basicAuth",
          "name": "basicAuth",
          "kind": "optional",
          "type": "http",
          "description": "<p>To authenticate using basic authentication, generate an API key and pass it as the username. No password is required.</p>",
          "scheme": "basic"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "successful validation",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "cancelReconciliationRuleResponse_V1",
            "schema": [
              {
                "name": "durationMs",
                "kind": "optional",
                "type": "integer",
                "description": "This value represents the total time in milliseconds that the Platform took to process the request.",
                "example": 12,
                "default": 12,
                "pattern": "^\\d+$"
              },
              {
                "name": "status",
                "kind": "optional",
                "type": "string",
                "description": "This is the status of the request. A code of 'Ok' indicates no errors.",
                "example": "Ok",
                "default": "Ok",
                "pattern": "^[A-Za-z]+$"
              },
              {
                "name": "statusDescription",
                "kind": "optional",
                "type": "string",
                "description": "<p>This is a description of the status. If an 'Ok' status is returned, then this will be 'Operation completed successfully'.</p>",
                "example": "Operation completed successfully",
                "default": "Operation completed successfully",
                "pattern": "^.+$"
              }
            ],
            "modelRef": "#/components/schemas/cancelReconciliationRuleResponse_V1",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "<p>Bad Request - The request was invalid or could not be processed.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "errorResponse",
            "schema": [
              {
                "name": "durationMs",
                "kind": "optional",
                "type": "integer",
                "description": "This value represents the total time in milliseconds that the Platform took to process the request.",
                "example": 8,
                "default": 8,
                "pattern": "^\\d+$"
              },
              {
                "name": "status",
                "kind": "optional",
                "type": "string",
                "description": "This is the status of the request. A code other than 'Ok' indicates the request did not succeed.",
                "example": "Fail",
                "default": "Fail",
                "pattern": "^[A-Za-z]+$"
              },
              {
                "name": "statusDescription",
                "kind": "optional",
                "type": "string",
                "description": "<p>This is a description of the status, providing detail about why the request did not succeed.</p>",
                "example": "One or more validation errors occurred.",
                "default": "One or more validation errors occurred.",
                "pattern": "^.+$"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "array",
                "description": "A list of the individual errors that caused the request to fail.",
                "modelRef": "#/components/schemas/errorDetail",
                "customType": "errorDetail[]",
                "schema": [
                  {
                    "name": "code",
                    "kind": "optional",
                    "type": "string",
                    "description": "<p>A machine-readable code identifying the specific error.</p>",
                    "example": "InvalidRequest",
                    "default": "InvalidRequest",
                    "pattern": "^[A-Za-z0-9_]+$"
                  },
                  {
                    "name": "message",
                    "kind": "optional",
                    "type": "string",
                    "description": "<p>A human-readable description of the specific error.</p>",
                    "example": "The field 'bsb' is invalid.",
                    "default": "The field 'bsb' is invalid.",
                    "pattern": "^.+$"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/errorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "<p>Unauthorized - Authentication failed or was not provided.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "errorResponse",
            "schema": [
              {
                "name": "durationMs",
                "kind": "optional",
                "type": "integer",
                "description": "This value represents the total time in milliseconds that the Platform took to process the request.",
                "example": 8,
                "default": 8,
                "pattern": "^\\d+$"
              },
              {
                "name": "status",
                "kind": "optional",
                "type": "string",
                "description": "This is the status of the request. A code other than 'Ok' indicates the request did not succeed.",
                "example": "Fail",
                "default": "Fail",
                "pattern": "^[A-Za-z]+$"
              },
              {
                "name": "statusDescription",
                "kind": "optional",
                "type": "string",
                "description": "<p>This is a description of the status, providing detail about why the request did not succeed.</p>",
                "example": "One or more validation errors occurred.",
                "default": "One or more validation errors occurred.",
                "pattern": "^.+$"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "array",
                "description": "A list of the individual errors that caused the request to fail.",
                "modelRef": "#/components/schemas/errorDetail",
                "customType": "errorDetail[]",
                "schema": [
                  {
                    "name": "code",
                    "kind": "optional",
                    "type": "string",
                    "description": "<p>A machine-readable code identifying the specific error.</p>",
                    "example": "InvalidRequest",
                    "default": "InvalidRequest",
                    "pattern": "^[A-Za-z0-9_]+$"
                  },
                  {
                    "name": "message",
                    "kind": "optional",
                    "type": "string",
                    "description": "<p>A human-readable description of the specific error.</p>",
                    "example": "The field 'bsb' is invalid.",
                    "default": "The field 'bsb' is invalid.",
                    "pattern": "^.+$"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/errorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "500",
        "description": "<p>Internal Server Error - An unexpected error occurred while processing the request.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "errorResponse",
            "schema": [
              {
                "name": "durationMs",
                "kind": "optional",
                "type": "integer",
                "description": "This value represents the total time in milliseconds that the Platform took to process the request.",
                "example": 8,
                "default": 8,
                "pattern": "^\\d+$"
              },
              {
                "name": "status",
                "kind": "optional",
                "type": "string",
                "description": "This is the status of the request. A code other than 'Ok' indicates the request did not succeed.",
                "example": "Fail",
                "default": "Fail",
                "pattern": "^[A-Za-z]+$"
              },
              {
                "name": "statusDescription",
                "kind": "optional",
                "type": "string",
                "description": "<p>This is a description of the status, providing detail about why the request did not succeed.</p>",
                "example": "One or more validation errors occurred.",
                "default": "One or more validation errors occurred.",
                "pattern": "^.+$"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "array",
                "description": "A list of the individual errors that caused the request to fail.",
                "modelRef": "#/components/schemas/errorDetail",
                "customType": "errorDetail[]",
                "schema": [
                  {
                    "name": "code",
                    "kind": "optional",
                    "type": "string",
                    "description": "<p>A machine-readable code identifying the specific error.</p>",
                    "example": "InvalidRequest",
                    "default": "InvalidRequest",
                    "pattern": "^[A-Za-z0-9_]+$"
                  },
                  {
                    "name": "message",
                    "kind": "optional",
                    "type": "string",
                    "description": "<p>A human-readable description of the specific error.</p>",
                    "example": "The field 'bsb' is invalid.",
                    "default": "The field 'bsb' is invalid.",
                    "pattern": "^.+$"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/errorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "B0YYblRtCEO2qVpYHOMhS",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request PATCH \\\n     --url https://api.mpay.com.au/receivables/v1/reconciliationrules/{reconciliationRuleReference} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "DTY49rPXJHZnmotW5Tr5u",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'PATCH',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.mpay.com.au/receivables/v1/reconciliationrules/{reconciliationRuleReference}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "z52VifKqsf4imYo6RWLay",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.mpay.com.au/receivables/v1/reconciliationrules/{reconciliationRuleReference}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Patch.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "0dLe9kZSIhGpQ1D7xuuaA",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.mpay.com.au/receivables/v1/reconciliationrules/{reconciliationRuleReference}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"PATCH\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "B0YYblRtCEO2qVpYHOMhS"
    },
    "results": {
      "languages": [
        {
          "id": "0UTXAGHyFvn_WRJgjQvpX",
          "language": "200",
          "code": "// successful validation\n{\n  \"durationMs\": 12,\n  \"status\": \"Ok\",\n  \"statusDescription\": \"Operation completed successfully\"\n}"
        },
        {
          "id": "Uwkh2rEQEWi9XLCmLqN-7",
          "language": "400",
          "code": "// Bad Request - The request was invalid or could not be processed.\n{\n  \"durationMs\": 8,\n  \"status\": \"Fail\",\n  \"statusDescription\": \"One or more validation errors occurred.\",\n  \"errors\": [\n    {\n      \"code\": \"InvalidRequest\",\n      \"message\": \"The field 'bsb' is invalid.\"\n    }\n  ]\n}"
        },
        {
          "id": "P5eW9_eSibmn1iht0gLtG",
          "language": "401",
          "code": "// Unauthorized - Authentication failed or was not provided.\n{\n  \"durationMs\": 8,\n  \"status\": \"Fail\",\n  \"statusDescription\": \"One or more validation errors occurred.\",\n  \"errors\": [\n    {\n      \"code\": \"InvalidRequest\",\n      \"message\": \"The field 'bsb' is invalid.\"\n    }\n  ]\n}"
        },
        {
          "id": "JyV5uquldNeE9C3fseEd3",
          "language": "500",
          "code": "// Internal Server Error - An unexpected error occurred while processing the request.\n{\n  \"durationMs\": 8,\n  \"status\": \"Fail\",\n  \"statusDescription\": \"One or more validation errors occurred.\",\n  \"errors\": [\n    {\n      \"code\": \"InvalidRequest\",\n      \"message\": \"The field 'bsb' is invalid.\"\n    }\n  ]\n}"
        }
      ],
      "selectedLanguageId": "0UTXAGHyFvn_WRJgjQvpX"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}